# PhasicFlow: uniformRandomReal Class Reference
PhasicFlow is an open-source parallel DEM (discrete element method) package for simulating granular flow. It is developed in C++ and can be exectued on both GPU (like CUDA) and CPU.

uniformRandomReal Class Reference

## Public Member Functions

| TypeInfoNV ("uniform")
| uniformRandomReal ()
| ~uniformRandomReal ()=default
real | randomNumber (real a, real b)
realx3 | randomNumber (const realx3 &a, const realx3 &b)
realx3 | operator() (const realx3 &a, const realx3 &b)
real | operator() (real a, real b)

## Protected Attributes

std::mt19937_64 | engineGen_
std::uniform_real_distribution< double > | distrbution_

## Detailed Description

Definition at line 32 of file uniformRandomReal.hpp.

## Constructor & Destructor Documentation

## uniformRandomReal()

uniformRandomReal | ( |  | ) |

inlineexplicit

Definition at line 45 of file uniformRandomReal.hpp.

## ~uniformRandomReal()

~uniformRandomReal | ( |  | ) |

default

## Member Function Documentation

## TypeInfoNV()

TypeInfoNV | ( | "uniform" |  | ) |

## randomNumber() [1/2]

real randomNumber | ( | real | a,
|  | real | b
| ) |  |

inline

Definition at line 53 of file uniformRandomReal.hpp.

References uniformRandomReal::distrbution_, and uniformRandomReal::engineGen_.

Referenced by uniformRandomReal::operator()(), cylinderRegion::peek(), boxRegion::peek(), sphereRegion::peek(), and uniformRandomReal::randomNumber().

Here is the caller graph for this function:

## randomNumber() [2/2]

realx3 randomNumber | ( | const realx3 & | a,
|  | const realx3 & | b
| ) |  |

inline

Definition at line 58 of file uniformRandomReal.hpp.

References uniformRandomReal::randomNumber().

Here is the call graph for this function:

## operator()() [1/2]

realx3 operator() | ( | const realx3 & | a,
|  | const realx3 & | b
| ) |  |

inline

Definition at line 70 of file uniformRandomReal.hpp.

References uniformRandomReal::randomNumber().

Here is the call graph for this function:

## operator()() [2/2]

real operator() | ( | real | a,
|  | real | b
| ) |  |

inline

Definition at line 75 of file uniformRandomReal.hpp.

References uniformRandomReal::randomNumber().

Here is the call graph for this function:

## Member Data Documentation

## engineGen_

std::mt19937_64 engineGen_

protected

Definition at line 36 of file uniformRandomReal.hpp.

Referenced by uniformRandomReal::randomNumber().

## distrbution_

std::uniform_real_distribution<double> distrbution_

protected

Definition at line 38 of file uniformRandomReal.hpp.

Referenced by uniformRandomReal::randomNumber().

The documentation for this class was generated from the following file:

- src/phasicFlow/random/randomReal/uniformRandomReal.hpp